List Distributions

  • GET
  • /workspaces
  • /:workspace
  • /distributions

Get all distributions in the workspace

Request

REQUIRED SCOPES
DISTRIBUTION_INFO
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

GET PARAMETERS
project_namestring
Project name to filter distributions

Example: "my-project"

environment_idstring
Environment ID to filter distributions

Example: "3a4KbBQl"

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
distributionsShortDistributionView[]

Last modified on Jun 29, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/distributions" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/workspaces/my-workspace/distributions", "html_url": "https://app.buddy.works/my-workspace/-/routing", "distributions": [ { "url": "https://api.buddy.works/workspaces/my-workspace/distributions/rm1P93jG", "html_url": "https://app.buddy.works/my-workspace/-/routing/rm1P93jG/routes", "id": "rm1P93jG", "identifier": "test", "name": "test", "disabled": false } ] }
STATUS
200 OK